POST
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
time_offs
Create a time off entry
curl --request POST \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/time_offs \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "starts_at": "2023-11-07T05:31:56Z",
  "ends_at": "2023-11-07T05:31:56Z",
  "resource_id": 123,
  "kind": "<string>",
  "title": "<string>",
  "notes": "<string>",
  "custom_attributes": {}
}
'
{
  "payload": {
    "id": 123,
    "resource_id": 123,
    "kind": "<string>",
    "starts_at": "2023-11-07T05:31:56Z",
    "ends_at": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "notes": "<string>",
    "custom_attributes": {}
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
starts_at
string<date-time>
required
ends_at
string<date-time>
required
resource_id
integer
kind
string
title
string
notes
string
custom_attributes
object

Response

Time off created

payload
object